import { useEffect, useState, useCallback } from 'react';
import Echart from '@/components/echart/echart'
import { Card } from 'antd'

const lineOption = {
  tooltip: {
    trigger: 'axis',
    axisPointer: {
      type: 'cross'
    },
  },

  grid: {
    containLabel: true,
    left: 0,
    top: 8,
    right: 60,
    bottom: 0,
  },
  yAxis: {
    type: 'value',
  },

  xAxis: {
    type: 'category',
  },

  dataset: [
    {
      dimensions: ['date', 'value'],
      source: [],
    },
  ],
  series: [
    {
      type: 'line',
      name: '申请数',
      datasetIndex: 0,
      itemStyle: {
        normal: {
          color: "#08507b",
          lineStyle: {
            color: "#08507b"
          }
        }
      }
    },
  ]
}
export default (props) => {
  const [loading, setLoading] = useState(false)
  const [list, setList] = useState([
    {
      date: '2022-9-9',
      value: 20
    },
    {
      date: '2022-9-10',
      value: 205
    },
    {
      date: '2022-9-11',
      value: 200
    },
    {
      date: '2022-9-12',
      value: 210
    },
    {
      date: '2022-9-13',
      value: 10
    },
    {
      date: '2022-9-14',
      value: 50
    },
    {
      date: '2022-9-15',
      value: 80
    },
    {
      date: '2022-9-16',
      value: 27
    },
    {
      date: '2022-9-19',
      value: 99
    },
    {
      date: '2022-9-20',
      value: 5
    },
  ])

  const option = {
    ...lineOption,
    dataset: {
      ...lineOption.dataset,
      source: list
    }
  }

  const queryList = useCallback(() => {
    // setLoading(true)

    // getAllOrgLine({
    //   days: 7,
    //   startDate: moment().subtract(7, 'day').format('YYYY-MM-DD'),
    // }).then((res) => {
    //   setLoading(false)
    //   setList(res)
    // }).catch(err => {
    //   setLoading(false)
    // })
  }, [])

  useEffect(() => {
    queryList()
  }, [])

  return (
    <Card title='近期提交趋势统计' loading={loading} bodyStyle={{ height: 600 }}>
      <Echart option={option} />
    </Card>
  )
}
